Bug 999457 - Private info traversal doesn't center the marked text properly
Private info traversal doesn't center the marked text properly
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 07:06 EDT by Kamil Páral
Modified: 2018-01-31 04:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt window (40.89 KB, image/png)
2013-08-21 07:06 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-08-21 07:06:01 EDT
Created attachment 788818 [details]
abrt window

Description of problem:
This is what happens if I click the tiny "next" button to see next occurrence of private information. In the very lower right corner, there is "p" marked in green. It's the beginning of "password = ..." string. However, it's quite invisible, because the 99% of the text is obscured. Also, it's very hard to scroll to make it visible, because the line is veryyyy looong, and just a tiny move with the scrollbar moves the marked text out of sight.

Please make the whole text visible automatically. Center it on the screen, at least horizontally, ideally also vertically.

Maybe it could help if you enabled soft-wrapping of long lines? There would be no problems with horizontal scrolling then.

Version-Release number of selected component (if applicable):
abrt-libs-2.1.6-3.fc19.x86_64
abrt-addon-kerneloops-2.1.6-3.fc19.x86_64
abrt-desktop-2.1.6-3.fc19.x86_64
abrt-addon-uefioops-2.1.6-3.fc19.x86_64
abrt-addon-vmcore-2.1.6-3.fc19.x86_64
abrt-plugin-bodhi-2.1.6-3.fc19.x86_64
abrt-dbus-2.1.6-3.fc19.x86_64
abrt-2.1.6-3.fc19.x86_64
abrt-addon-xorg-2.1.6-3.fc19.x86_64
gnome-abrt-0.3.0-3.fc19.x86_64
abrt-gui-2.1.6-3.fc19.x86_64
abrt-addon-python-2.1.6-3.fc19.x86_64
abrt-retrace-client-2.1.6-3.fc19.x86_64
abrt-addon-ccpp-2.1.6-3.fc19.x86_64
libreport-fedora-2.1.6-2.fc19.x86_64
libreport-plugin-bugzilla-2.1.6-2.fc19.x86_64
libreport-python-2.1.6-2.fc19.x86_64
libreport-plugin-ureport-2.1.6-2.fc19.x86_64
libreport-2.1.6-2.fc19.x86_64
libreport-web-2.1.6-2.fc19.x86_64
libreport-plugin-logger-2.1.6-2.fc19.x86_64
libreport-plugin-kerneloops-2.1.6-2.fc19.x86_64
libreport-plugin-reportuploader-2.1.6-2.fc19.x86_64
libreport-gtk-2.1.6-2.fc19.x86_64
libreport-filesystem-2.1.6-2.fc19.x86_64


How reproducible:
most of the time

Steps to Reproduce:
1. find a crash
2. use the tiny arrows to find some private info that is in a very long line
Comment 1 Fedora End Of Life 2015-01-09 14:32:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Kamil Páral 2015-01-13 10:22:05 EST
Still the same problem in Fedora 21.

Note You need to log in before you can comment on or make changes to this bug.